import request from "@/utils/request"

/** 数据发送记录 — 分页列表 */
export function listDataSendRecord(query) {
  return request({
    url: "/dataHub/dataSendRecord/list",
    method: "get",
    params: query
  })
}

/** 详情 */
export function getDataSendRecord(id) {
  return request({
    url: "/dataHub/dataSendRecord/" + id,
    method: "get"
  })
}

/** 新增 */
export function addDataSendRecord(data) {
  return request({
    url: "/dataHub/dataSendRecord",
    method: "post",
    data
  })
}

/** 修改 */
export function updateDataSendRecord(data) {
  return request({
    url: "/dataHub/dataSendRecord",
    method: "put",
    data
  })
}

/** 删除（逻辑删除） */
export function delDataSendRecord(ids) {
  return request({
    url: "/dataHub/dataSendRecord/" + ids,
    method: "delete"
  })
}
